Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1367175

Summary: [RFE] poor documentation of gamin configuration
Product: Red Hat Enterprise Linux 6 Reporter: Joe Wright <jwright>
Component: doc-Deployment_GuideAssignee: Marie Dolezelova <mdolezel>
Status: CLOSED CURRENTRELEASE QA Contact: ecs-bugs
Severity: medium Docs Contact:
Priority: high    
Version: 6.8CC: jwright, muhammad.zali, oholy, rhel-docs, walters
Target Milestone: rcKeywords: Documentation, FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-23 17:51:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Joe Wright 2016-08-15 19:15:52 UTC
1. Proposed title of this feature request  
  Configuration of Gamin 
  
3. What is the nature and description of the request?  
Customer has requested better Red Hat documentation about Gamin, including configuration of it

the documentation on the gamin page is no very detailed either
https://people.gnome.org/~veillard/gamin/config.html

  
4. Why does the customer need this? (List the business requirements here)  
gam_server was monitoring NFS shares that it did not need to, forcing it to consume a high amount of system resources. Needed a proper way to configure it to ignore the shares
  
5. How would the customer like to achieve this? (List the functional requirements here)  
just providing documentation on making changes to gamin
  
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 
 
  
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
no? 
possibly https://bugzilla.redhat.com/show_bug.cgi?id=1332753
  
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)? 
no 
  
9. Is the sales team involved in this request and do they have any additional input?  
no
  
10. List any affected packages or components.  
gamin
  
11. Would the customer be able to assist in testing this functionality if implemented?
n/a

Comment 3 Ondrej Holy 2016-11-14 09:53:17 UTC
FAM (gamin) is currently used for monitoring NFS filesystems, but was not before RHEL 6.8, see Bug 725178. Unfortunately, it causes various issues (Bug 1385040, and Bug 1332753).

See the following comment about gamin configuration, however, it still consumes more resources than before:
https://bugzilla.redhat.com/show_bug.cgi?id=1385040#c20

GLib might be temporarily downgraded to glib2-2.28.8-4.el6, or /usr/lib/gio/modules/libgiofam.so removed in order to provide former behavioral, but this is not definitely recommended solution...

I am afraid we need some change for GLib (i.e. backport GIO_USE_FILE_MONITOR variable, use FAM monitor only for home dirs, or so...). Colin?

Comment 4 Ondrej Holy 2016-11-30 09:16:24 UTC
Just a note that Bug 1399726 has been filed in order to revert previous GLib behavior.